    
clear;clc;close all;
addpath fanChart

T_list = [10;1000];   % sample sizes
n_Ts   = numel(T_list);

models_list = [1;2;3];         
n_models    = numel(models_list);

for t_index = 1:n_Ts 
  for model_index = 1:n_models

    T = T_list(t_index);

    loadname = sprintf('T%d_Model%d.mat', T, model_index);
    load(loadname);

    % ----
    figure(1)
    set(1, 'Position',  [0, 0, 1200, 600])
    plot_index = model_index + (t_index-1)*n_models;
    subplot(n_Ts,n_models,plot_index);
    if plot_index == 1
        title('(i)', 'fontsize', 16, 'interpreter', 'latex')
    elseif plot_index == 2
        title('(ii)', 'fontsize', 16, 'interpreter', 'latex')
    elseif plot_index == 3
        title('(iii)', 'fontsize', 16, 'interpreter', 'latex')
    end 
    
    box on;
    g = fanChart(x_axis,res_full_CDF.','mean', 5:2.5:95, ...
        'alpha', .8, 'colormap', {'shadesOfColor', [0 0.5 1]});
    g.LineWidth = 0.15;
    % ----
    
    % ----
  end 
end 

saveas(1, 'Figure_CDF', 'epsc')
saveas(1, 'Figure_CDF.png')


% ----------------------------


